 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        type        : '',    //类型
        listArr     : []    //收货地址
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            type: options.type
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取地址列表
        this.listInfo();
    },

    /**
     * 地址列表
     */
    listInfo (){
        wx.$api.stock.siteList().then(res => {
            this.setData({
                listArr: res.data
            })
        }).catch(err => { })
    },

    /**
     * 删除地址
     */
    addressRemove(e){
        let newid    = e.currentTarget.dataset.id
        wx.showModal({
            title   : '提示',
            content : '是否删除地址',
            success : res=> {
                if (res.confirm) {
                    wx.showLoading({
                        title: '删除中',
                    })
                    wx.$api.stock.siteDel(newid).then(res=>{
                        // 获取地址列表
                        this.listInfo();
                        wx.hideLoading()
                    })
                }
            }
        })
    },
    
    /**
     * 选择地址
     */
    selectAddress(e){
        let atAdds = this.data.listArr[e.currentTarget.dataset.index]
        let pages = getCurrentPages(),
            prepage = pages[pages.length-2]
            prepage.setData({
                address: atAdds,
                addressId: atAdds.address_id
            })
         wx.navigateBack()
    }
})